POWER9 Radix mode KVM

Bug #1675806 reported by bugproxy on 2017-03-24
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Tim Gardner
Zesty
Undecided
Tim Gardner

Bug Description

== Comment: #0 - Breno Henrique Leitao <email address hidden> - 2017-03-24 10:06:27 ==
Hi Canonical,

We would like to have the KVM Radix patches integrated into 17.04 kernel. This will allow the KVM to support Radix Page mode in the host.

This is the patchset:

d3918e7fd4a2 Change interrupt call to reduce scratch space use on HV
7ede531773ea Move 64-bit KVM interrupt handler out from alt section
a97a65d53d9f 64-bit CONFIG_RELOCATABLE support for interrupts
cc3d2940133d Enable use of radix MMU under hypervisor on POWER9
dbcbfee0c81c More definitions for POWER9
ba9b399aee6f Export pgtable_cache and pgtable_cache_add for KVM
16ed141677c5 Make type of partition table flush depend on partition type
bc3551257af8 Allow for relocation-on interrupts from guest to host
c92701322711 Add userspace interfaces for POWER9 MMU
468808bd35c4 Set process table for HPT guests on POWER9
ef8c640cb9cc Use ASDR for HPT guests on POWER9
9e04ba69beec Add basic infrastructure for radix guests
f4c51f841d2a Modify guest entry/exit paths to handle radix guests
5a319350a465 Page table construction and page faults for radix guests
01756099e0a5 MMU notifier callbacks for radix guests
8f7b79b8379a Implement dirty page logging for radix guests
65dae5403a16 Make HPT-specific hypercalls return error in radix mode
a29ebeaf5575 Invalidate TLB on radix guest vcpu movement
53af3ba2e819 Allow guest exit path to have MMU on
f11f6f79b606 Invalidate ERAT on guest entry/exit for POWER9 DD1
8cf4ecc0ca9b Enable radix guest support
2337d207288f CONFIG_RELOCATABLE support for hmi interrupts
ab9bad0ead9a Remove separate entry for OPAL real mode calls
70cd4c10b290 Fix software walk of guest process page tables
4e5acdc23a3d Don't use ASDR for real-mode HPT faults on POWER9
3deda5e50c89 Don't try to signal cpu -1
8464c8842de2 Fix H_PROD to actually wake the target vcpu
5982f0849e08 Fix error return in kvm_vm_ioctl_create_spapr_tce
7a70d7288c92 Invalidate process table caching after setting process table

CVE References

bugproxy (bugproxy) on 2017-03-24
tags: added: architecture-ppc64le bugnameltc-152895 severity-high targetmilestone-inin1704
Changed in ubuntu:
assignee: nobody → Taco Screen team (taco-screen-team)
affects: ubuntu → linux (Ubuntu)

Patchset enabling a key new feature. Please have the Kernel team pick
these up.

Thanks.

On 03/24/2017 08:11 AM, Launchpad Bug Tracker wrote:
> bugproxy (bugproxy) has assigned this bug to you for Ubuntu:
>
> == Comment: #0 - Breno Henrique Leitao <email address hidden> - 2017-03-24 10:06:27 ==
> Hi Canonical,
>
> We would like to have the KVM Radix patches integrated into 17.04
> kernel. This will allow the KVM to support Radix Page mode in the host.
>
> This is the patchset:
>
> d3918e7fd4a2 Change interrupt call to reduce scratch space use on HV
> 7ede531773ea Move 64-bit KVM interrupt handler out from alt section
> a97a65d53d9f 64-bit CONFIG_RELOCATABLE support for interrupts
> cc3d2940133d Enable use of radix MMU under hypervisor on POWER9
> dbcbfee0c81c More definitions for POWER9
> ba9b399aee6f Export pgtable_cache and pgtable_cache_add for KVM
> 16ed141677c5 Make type of partition table flush depend on partition type
> bc3551257af8 Allow for relocation-on interrupts from guest to host
> c92701322711 Add userspace interfaces for POWER9 MMU
> 468808bd35c4 Set process table for HPT guests on POWER9
> ef8c640cb9cc Use ASDR for HPT guests on POWER9
> 9e04ba69beec Add basic infrastructure for radix guests
> f4c51f841d2a Modify guest entry/exit paths to handle radix guests
> 5a319350a465 Page table construction and page faults for radix guests
> 01756099e0a5 MMU notifier callbacks for radix guests
> 8f7b79b8379a Implement dirty page logging for radix guests
> 65dae5403a16 Make HPT-specific hypercalls return error in radix mode
> a29ebeaf5575 Invalidate TLB on radix guest vcpu movement
> 53af3ba2e819 Allow guest exit path to have MMU on
> f11f6f79b606 Invalidate ERAT on guest entry/exit for POWER9 DD1
> 8cf4ecc0ca9b Enable radix guest support
> 2337d207288f CONFIG_RELOCATABLE support for hmi interrupts
> ab9bad0ead9a Remove separate entry for OPAL real mode calls
> 70cd4c10b290 Fix software walk of guest process page tables
> 4e5acdc23a3d Don't use ASDR for real-mode HPT faults on POWER9
> 3deda5e50c89 Don't try to signal cpu -1
> 8464c8842de2 Fix H_PROD to actually wake the target vcpu
> 5982f0849e08 Fix error return in kvm_vm_ioctl_create_spapr_tce
> 7a70d7288c92 Invalidate process table caching after setting process table
>
> ** Affects: ubuntu
> Importance: Undecided
> Assignee: Taco Screen team (taco-screen-team)
> Status: New
>
>
> ** Tags: architecture-ppc64le bugnameltc-152895 severity-high targetmilestone-inin1704

--
Michael Hohnbaum
OIL Program Manager
Power (ppc64el) Development Project Manager
Canonical, Ltd.

Tim Gardner (timg-tpi) on 2017-03-24
Changed in linux (Ubuntu Zesty):
assignee: Taco Screen team (taco-screen-team) → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) wrote :

Breno - do you have a branch for this patchset ? My backports are getting pretty ugly which makes me nervous.

Breno Leitão (breno-leitao) wrote :

Hey Tim,

No, let me try to create one, otherwise I will ask internal help. I will let you know when I have something better consumable.

Breno Leitão (breno-leitao) wrote :

I just sent the backported patchset to kernel-team mailing list:
https://lists.ubuntu.com/archives/kernel-team/2017-March/083299.html

Tim Gardner (timg-tpi) on 2017-03-28
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (21.0 KiB)

This bug was fixed in the package linux - 4.10.0-19.21

---------------
linux (4.10.0-19.21) zesty; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1680535

  * ADT regressions caused by "audit: fix auditd/kernel connection state
    tracking" (LP: #1680532)
    - SAUCE: Revert "audit: fix auditd/kernel connection state tracking"

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs to update CONFIG_GENERIC_CSUM for ppc64el
      This cleans up behind a Kconfig change that went undetected.

linux (4.10.0-18.20) zesty; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1680168

  * smartpqi driver needed in initram disk and installer (LP: #1680156)
    - UBUNU: [Config] Add smartpqi to d-i

linux (4.10.0-17.19) zesty; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1679718

  * Fix CVE-2017-7308 (LP: #1678009)
    - net/packet: fix overflow in check for priv area size
    - net/packet: fix overflow in check for tp_frame_nr
    - net/packet: fix overflow in check for tp_reserve

  * apparmor: oops on boot if parameters set on grub command line (LP: #1678048)
    - SAUCE: apparmor: fix parameters so that the permission test is bypassed at boot

  * apparmor: does not provide a way to detect policy updataes (LP: #1678032)
    - SAUCE: apparmor: add policy revision file interface

  * apparmor does not make support of query data visible (LP: #1678023)
    - SAUCE: apparmor: add label data availability to the feature set

  * apparmor query interface does not make supported query info available
    (LP: #1678030)
    - SAUCE: apparmor: add information about the query inteface to the feature set

  * change_profile incorrect when using namespaces with a compound stack
    (LP: #1677959)
    - SAUCE: apparmor: fix label parse for stacked labels

  * Zesty update to v4.10.8 stable release (LP: #1678930)
    - xfrm: policy: init locks early
    - xfrm_user: validate XFRM_MSG_NEWAE XFRMA_REPLAY_ESN_VAL replay_window
    - xfrm_user: validate XFRM_MSG_NEWAE incoming ESN size harder
    - KVM: nVMX: Fix nested VPID vmx exec control
    - KVM: x86: cleanup the page tracking SRCU instance
    - virtio_balloon: init 1st buffer in stats vq
    - pinctrl: qcom: Don't clear status bit on irq_unmask
    - c6x/ptrace: Remove useless PTRACE_SETREGSET implementation
    - h8300/ptrace: Fix incorrect register transfer count
    - mips/ptrace: Preserve previous registers for short regset write
    - sparc/ptrace: Preserve previous registers for short regset write
    - metag/ptrace: Preserve previous registers for short regset write
    - metag/ptrace: Provide default TXSTATUS for short NT_PRSTATUS
    - metag/ptrace: Reject partial NT_METAG_RPIPE writes
    - qla2xxx: Allow vref count to timeout on vport delete.
    - sched/rt: Add a missing rescheduling point
    - usb: musb: fix possible spinlock deadlock
    - Linux 4.10.8

  * [Hyper-V] pci-hyperv: Use device serial number as PCI domain (LP: #1667527)
    - net/mlx4_core: Use cq quota in SRIOV when creating completion EQs
    - PCI: hv: Use device serial number as PCI domain

  * Miscellaneous Ubuntu changes
    - [Config] flash-kernel should be a...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2017-05-09
tags: added: targetmilestone-inin1710
removed: targetmilestone-inin1704
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers